﻿using System;

namespace AjaxAvailableUserControls.Library.Logic
{
    /// <summary>
    /// ClientDataReceivedEvent args, arguments of event raised on the server side 
    /// </summary>
    public class ClientDataReceivedEventArgs : EventArgs
    {
        #region fields & properties
        /// <summary>
        /// The string given from client to server as clint request - 
        /// for any cases we can serialize any request to the string and give it then to server code
        /// </summary>
        public string ClientData = "";

        /// <summary>
        /// This is response from server to client as serialized string value
        /// </summary>
        public string ServerResponse = "";

        /// <summary>
        /// Cancel callback processing?
        /// </summary>
        public bool Cancel = false;
        #endregion
    }
}
